// pages/more/game_area/game_area.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
  
  },

  /**
   * 生命周期函数--监听页面加载
   */

  // 图片动画效果
  onLoad: function (options) {
    var animation = wx.createAnimation({
      duration: 600,
      timingFunction: 'ease',
      delay: 0,
    })
    this.animation = animation;
    animation.translateY(1000).step()
    this.setData({
      show: true,
      animationData: animation.export()
    })
    setTimeout(function () {
      animation.translateY(0).step()
      this.setData({
        animationData: animation.export()
      })
    }.bind(this), 600)
  },


  // 各部分点击跳转
  enter: function(e){
    var kind = e.currentTarget.dataset.kind;
    var url;
    if (kind == 'record'){
      url = '../allrecord/allrecord';
    } else if (kind == 'wheel'){
      url = '../luckydraw/luckydraw';
    }else if(kind == 'card'){
      url = '../games/games?kind=card';
    }else if(kind == 'eggs'){
      url = '../games/games?kind=eggs'
    }
    url && wx.navigateTo({ url: url });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

})